using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';
#define fastio ios_base::sync_with_stdio(false);cin.tie(nullptr);cout.tie(nullptr);

struct room {
    int drain = 0;
    ll fullness = 0;
    ll level = 0;
};

typedef tuple<ll, bool, ll, ll> room_state;

void expand_and_add(vector<ll> &ar, int pos, ll v) {
    while (ar.size() <= pos) { ar.push_back(0); }
    ar[pos] += v;
}

ll solver() {
    int n, m;
    cin >> n >> m;

    vector <room> rooms(n + 1);
    vector <vector<int>> rooms_tree(n + 1, vector<int>());
    vector <room_state> current_state(n + 1);
    vector <vector<ll>> fullness_hist(n + 1);
    fori1(i, n) {
        cin >> rooms[i].drain;
        rooms_tree[rooms[i].drain].pb(i);
        cin >> rooms[i].level;
        cin >> get<0>(current_state[i]);
        if (rooms[i].level == 0) {
            get<1>(current_state[i]) = true;
        }
    }
    int t = 0;
    while (true) {
//        cout << "====" << t << "====\n";
//        fori1(i, n) { cout << get<0>(current_state[i]) << " "; }
//        cout << "\n";
        fori1(i, n) {
            expand_and_add(fullness_hist[i], get<0>(current_state[i]), 1);
        }
        ++t;
        bool was_smth = false;
        fori1(i, n) {
            if (get<1>(current_state[i]) && get<0>(current_state[i]) > 0) {
                was_smth = true;
                --get<0>(current_state[i]);
                if (rooms[i].drain > 0) {
                    ++get<2>(current_state[i]);
                }
            }
        }
        vector<int> need_todo;
        fori1(i, n) {
            if (get<2>(current_state[i]) > 0) {
                was_smth = true;
                if (get<3>(current_state[i]) < rooms[rooms[i].drain].level - rooms[i].level) {
                    ++get<3>(current_state[i]);
                } else {
                    --get<2>(current_state[i]);
                    if (!get<1>(current_state[rooms[i].drain])) {
                        get<1>(current_state[rooms[i].drain]) = true;
                        ++get<2>(current_state[rooms[i].drain]);
//                        need_todo.push_back(rooms[i].drain);
//                        ++get<0>(current_state[rooms[i].drain]);
                    } else {
                        ++get<0>(current_state[rooms[i].drain]);
                    }
                }
            }
        }
//        for (int i : need_todo) {
//            if (get<1>(current_state[i]) && get<0>(current_state[i]) > 0) {
//                was_smth = true;
//                --get<0>(current_state[i]);
//                if (rooms[i].drain > 0) {
//                    ++get<2>(current_state[i]);
//                    if (get<3>(current_state[i]) < rooms[rooms[i].drain].level - rooms[i].level) {
//                        ++get<3>(current_state[i]);
//                    } else {
//                        --get<2>(current_state[i]);
//                        get<1>(current_state[rooms[i].drain]) = true;
//                        ++get<0>(current_state[rooms[i].drain]);
//                    }
//                }
//            }
//        }
        fori1(i, n) {
            was_smth |= get<0>(current_state[i]) > 0 || get<2>(current_state[i]) > 0;
        }
        if (!was_smth) { break; }
    }

    fori1(i, n) {
        for (int j = (int) fullness_hist[i].size() - 1; j > 0; --j) {
            fullness_hist[i][j - 1] += fullness_hist[i][j];
        }
    }

    fori1(i, m) {
        int room;
        ll x;
        cin >> room >> x;
        cout << (x < fullness_hist[room].size() ? fullness_hist[room][x] : 0) << "\n";
    }


    return 0;
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif

    int q = 1;
//    cin >> q;
    fori(i, q) {
        solver();
//        cout << solver();
//        cout << (solver() ? "Possible" : "Impossible");
//        cout << (solver() ? "Yes" : "No");
//        cout << '\n';
    }
}