rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 1 -del 2 -x 100 -maxP 100 -maxI 10" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 2 -del 3 -x 100 -maxP 100 -maxI 10" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 2 -del 1 -x 6467 -maxP 1000000000 -maxI 100" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 6 -x 1000000000 -maxP 1000000000 -maxI 18" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 4 -x 1000000000 -maxP 1000000000 -maxI 55" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 6 -x 1000000000 -maxP 1000000000 -maxI 47" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 7 -x 5000 -maxP 1000000000 -maxI 55" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 6 -x 700000 -maxP 10000650 -maxI 6" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 5 -x 999999 -maxP 100190000 -maxI 11" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 6 -x 55 -maxP 645036217 -maxI 95 83c2dfdd219c33a5d509a82fbc98d6cc" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 5 -x 535 -maxP 710075127 -maxI 35 59e9d716a6d7df6c593cbe6cf7c1f61d" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 5 -x 915 -maxP 676500520 -maxI 36 1729301dc45a48013823d47212fd5e9a" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 4 -x 360 -maxP 854236121 -maxI 26 308a76ac61055ad0bb3649ebd1967ea2" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 4 -x 401 -maxP 850145489 -maxI 27 9d5c06b4af3604f6fa47c9458c6bafaf" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 5 -x 731 -maxP 889596001 -maxI 79 9f6187560c1aad0f879c232990258b9a" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 5 -x 631 -maxP 977341519 -maxI 18 3717f578d7f2c8da3d4acaacbeee1738" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 4 -x 975 -maxP 90356859 -maxI 37 4be2ee6dbcf298e4889728e2dee96405" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\genRnd.exe -add 4 -del 4 -x 690 -maxP 317503732 -maxI 83 0bae196f4ff5fb4897e84e3ca144e289" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 10 -x 1000 -maxI 100 -maxP 10000 -nMin 0.5 -nAng 0.7 -nS 0.01" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100 -x 1000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.5 -nAng 0.1 -nS 0.5" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 1000 -x 1000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.5 -nAng 0.1 -nS 0.5" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 10000 -x 1000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.5 -nAng 0.1 -nS 0.5" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.183 -nAng 0.533 -nS 0.444 4dce610deabdd72c59bfd61daadeb72e" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.22 -nAng 0.438 -nS 0.754 c593cb50f929f70ed3f1eb8997f9d1ba" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.240 -nAng 0.465 -nS 0.465 2cf4bbcd806d4b447c1d6ee16bcd92dc" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 1000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.5 -nAng 0.1 -nS 0.5" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.1 -nAng 0.2 -nS 0.05" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.0987 -nAng 0.97 -nS 0.542 03b525fef914cf99961fa6ee20f4d1c2" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.108 -nAng 0.901 -nS 0.415 bd2c1bfe27a90db20d11854df9f37e7b" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.0754 -nAng 0.924 -nS 0.920 58504ff4401b2e54a4674ac902efb08c" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.405 -nAng 0.651 -nS 0.250 2426902ec3a510b878f64f6676217488" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.0195 -nAng 0.125 -nS 0.398 ec2d93da8fce56afc15b21f42abc9e71" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\genGroup2.exe -n 100000 -x 999999999 -maxI 1000000000 -maxP 1000000000 -nMin 0.019 -nAng 0.356 -nS 0.515 8408ac8a0c02fae62ba18bce5e15157d" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 10000 -maxI 14393 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.3" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 10630 -maxI 14393 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.3" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 1000000000 -maxI 14361 -maxP 999999998 -nMin 0.3 -nAng 0.5 -nS 0.1" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 1000000000 -maxI 143543 -maxP 999999999 -nMin 0.4 -nAng 0.2 -nS 0.6" "tests\39" 39
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 10000 -maxI 14393 -maxP 1003984 -nMin 0.5 -nAng 0.2 -nS 0.7" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 105430 -maxI 14393 -maxP 395384 -nMin 0.6 -nAng 0.1 -nS 0.7" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 10000 -maxI 14393 -maxP 10677674 -nMin 0.4 -nAng 0.4 -nS 0.1" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 1063134 -maxI 14393 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.0" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 1000000000 -maxI 342361 -maxP 99999348 -nMin 0.25 -nAng 0.71 -nS 0.05" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 19500000 -maxI 143543 -maxP 478375 -nMin 0.9 -nAng 0.3 -nS 0.6" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 10000 -maxI 14393 -maxP 1003984 -nMin 0.5 -nAng 0.29 -nS 0.31" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100 -x 10004530 -maxI 14394753 -maxP 395353787 -nMin 0.24 -nAng 0.17 -nS 0.33" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 4 -maxI 1000000000 -maxP 3 -nMin 0.4 -nAng 0.001 -nS 0.1" "tests\48" 48
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 2 -maxI 589478596 -maxP 3 -nMin 0.7 -nAng 0.01 -nS 0.1" "tests\49" 49
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 2 -maxI 55385906 -maxP 3 -nMin 0.5 -nAng 0.1 -nS 0.01" "tests\50" 50
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 3 -maxI 1000000000 -maxP 3 -nMin 0.127 -nAng 0.613 -nS 0.938 02944e98a1dac56dd0d37c1bbcf4e778" "tests\51" 51
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 3 -maxI 1000000000 -maxP 3 -nMin 0.102 -nAng 0.79 -nS 0.731 9464796e2148b9899eae24fcbcf4e721" "tests\52" 52
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 4 -maxI 1000000000 -maxP 3 -nMin 0.304 -nAng 0.591 -nS 0.928 91e2b9e2225c3d7907ec80c5966ae221" "tests\53" 53
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 4 -maxI 1000000000 -maxP 3 -nMin 0.356 -nAng 0.365 -nS 0.949 13d5ca003b03bf44e366e79812b41716" "tests\54" 54
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 1 -maxI 1000000000 -maxP 3 -nMin 0.159 -nAng 0.926 -nS 0.673 31d0f78a3e28ad8955a2b4d440a9f4bb" "tests\55" 55
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 1 -maxI 1000000000 -maxP 3 -nMin 0.2 -nAng 0.243 -nS 0.776 932d12dfcb4d8a582ebb9ca37593de50" "tests\56" 56
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 1 -maxI 1000000000 -maxP 3 -nMin 0.839 -nAng 0.238 -nS 0.949 e3793f2b1b89b4e887058e7cff1199f9" "tests\57" 57
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 4 -maxI 1000000000 -maxP 3 -nMin 0.470 -nAng 0.302 -nS 0.145 f2211bcc7927381d85eb7b821ef4c01c" "tests\58" 58
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 2000000 -x 2 -maxI 1000000000 -maxP 3 -nMin 0.159 -nAng 0.10 -nS 0.120 dc1c2940f38d47817ab307990cf90421" "tests\59" 59
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 10000 -maxI 14393 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.3" "tests\60" 60
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 10630 -maxI 14393 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.3" "tests\61" 61
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 1000000000 -maxI 14361 -maxP 999999998 -nMin 0.3 -nAng 0.5 -nS 0.1" "tests\62" 62
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 1000000000 -maxI 143543 -maxP 999999999 -nMin 0.4 -nAng 0.2 -nS 0.6" "tests\63" 63
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 10000 -maxI 14393 -maxP 1003984 -nMin 0.5 -nAng 0.2 -nS 0.7" "tests\64" 64
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 105430 -maxI 14393 -maxP 395384 -nMin 0.6 -nAng 0.1 -nS 0.7" "tests\65" 65
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 10000 -maxI 14393 -maxP 10677674 -nMin 0.4 -nAng 0.4 -nS 0.1" "tests\66" 66
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 1063134 -maxI 14393 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.0" "tests\67" 67
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 1000000000 -maxI 342361 -maxP 99999348 -nMin 0.25 -nAng 0.71 -nS 0.05" "tests\68" 68
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 19500000 -maxI 143543 -maxP 478375 -nMin 0.9 -nAng 0.3 -nS 0.6" "tests\69" 69
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 10000 -maxI 14393 -maxP 1003984 -nMin 0.5 -nAng 0.29 -nS 0.31" "tests\70" 70
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000 -x 10004530 -maxI 14394753 -maxP 395353787 -nMin 0.24 -nAng 0.17 -nS 0.33" "tests\71" 71
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 10000 -maxI 143935432 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.3" "tests\72" 72
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 10630 -maxI 143531943 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.3" "tests\73" 73
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.149 -nAng 0.220 -nS 0.300 056a8dc85215a0eae8b44540e7cbabe8" "tests\74" 74
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.108 -nAng 0.4 -nS 0.841 3169ae9550d585fe38d73504291d771e" "tests\75" 75
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.263 -nAng 0.137 -nS 0.740 6faaf1ec4a2e0036bb63126840946bd6" "tests\76" 76
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 1000000000 -maxI 14361091 -maxP 999999998 -nMin 0.3 -nAng 0.5 -nS 0.1" "tests\77" 77
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 1000000000 -maxI 14354823 -maxP 999999999 -nMin 0.4 -nAng 0.2 -nS 0.6" "tests\78" 78
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 10000 -maxI 142346393 -maxP 100392384 -nMin 0.5 -nAng 0.2 -nS 0.7" "tests\79" 79
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 105430 -maxI 14533393 -maxP 392455384 -nMin 0.6 -nAng 0.1 -nS 0.7" "tests\80" 80
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 10000 -maxI 14353493 -maxP 106776744 -nMin 0.4 -nAng 0.4 -nS 0.1" "tests\81" 81
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 1063134 -maxI 143414393 -maxP 1003984 -nMin 0.1 -nAng 0.3 -nS 0.0" "tests\82" 82
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 1000000000 -maxI 87543369 -maxP 99999348 -nMin 0.25 -nAng 0.71 -nS 0.05" "tests\83" 83
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 19500000 -maxI 143985543 -maxP 47438375 -nMin 0.9 -nAng 0.3 -nS 0.6" "tests\84" 84
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 100000 -x 10000 -maxI 55314393 -maxP 10039484 -nMin 0.5 -nAng 0.29 -nS 0.31" "tests\85" 85
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.1 -nAng 0.1 -nS 0.01" "tests\86" 86
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.3 -nAng 0.1 -nS 0.01" "tests\87" 87
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 500000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.01 -nAng 0.01 -nS 0.1" "tests\88" 88
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.01 -nAng 0.01 -nS 0.1" "tests\89" 89
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.7 -nAng 0.01 -nS 0.001" "tests\90" 90
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.3 -nAng 0.4 -nS 0.0001" "tests\91" 91
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.3 -nAng 0.4 -nS 0.6" "tests\92" 92
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.001 -nAng 0.0073 -nS 0.00016" "tests\93" 93
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.7 -nAng 0.073 -nS 0.000016" "tests\94" 94
call scripts\gen-input-via-stdout.bat "files\genFullQueue.exe -n 1000000 -x 1000000000 -maxI 1000000000 -maxP 1000000000 -nMin 0.1 -nAng 0.00073 -nS 0.5" "tests\95" 95
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "1"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "1"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "1"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "1"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "1"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "1"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "1"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "1"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "1"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "1"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "1"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "1"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "1"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "1"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "2"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "2"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "2"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "2"
call scripts\gen-answer.bat tests\25 tests\25.a "tests" "2"
call scripts\gen-answer.bat tests\26 tests\26.a "tests" "2"
call scripts\gen-answer.bat tests\27 tests\27.a "tests" "2"
call scripts\gen-answer.bat tests\28 tests\28.a "tests" "2"
call scripts\gen-answer.bat tests\29 tests\29.a "tests" "2"
call scripts\gen-answer.bat tests\30 tests\30.a "tests" "2"
call scripts\gen-answer.bat tests\31 tests\31.a "tests" "2"
call scripts\gen-answer.bat tests\32 tests\32.a "tests" "2"
call scripts\gen-answer.bat tests\33 tests\33.a "tests" "2"
call scripts\gen-answer.bat tests\34 tests\34.a "tests" "2"
call scripts\gen-answer.bat tests\35 tests\35.a "tests" "2"
call scripts\gen-answer.bat tests\36 tests\36.a "tests" "3"
call scripts\gen-answer.bat tests\37 tests\37.a "tests" "3"
call scripts\gen-answer.bat tests\38 tests\38.a "tests" "3"
call scripts\gen-answer.bat tests\39 tests\39.a "tests" "3"
call scripts\gen-answer.bat tests\40 tests\40.a "tests" "3"
call scripts\gen-answer.bat tests\41 tests\41.a "tests" "3"
call scripts\gen-answer.bat tests\42 tests\42.a "tests" "3"
call scripts\gen-answer.bat tests\43 tests\43.a "tests" "3"
call scripts\gen-answer.bat tests\44 tests\44.a "tests" "3"
call scripts\gen-answer.bat tests\45 tests\45.a "tests" "3"
call scripts\gen-answer.bat tests\46 tests\46.a "tests" "3"
call scripts\gen-answer.bat tests\47 tests\47.a "tests" "3"
call scripts\gen-answer.bat tests\48 tests\48.a "tests" "4"
call scripts\gen-answer.bat tests\49 tests\49.a "tests" "4"
call scripts\gen-answer.bat tests\50 tests\50.a "tests" "4"
call scripts\gen-answer.bat tests\51 tests\51.a "tests" "4"
call scripts\gen-answer.bat tests\52 tests\52.a "tests" "4"
call scripts\gen-answer.bat tests\53 tests\53.a "tests" "4"
call scripts\gen-answer.bat tests\54 tests\54.a "tests" "4"
call scripts\gen-answer.bat tests\55 tests\55.a "tests" "4"
call scripts\gen-answer.bat tests\56 tests\56.a "tests" "4"
call scripts\gen-answer.bat tests\57 tests\57.a "tests" "4"
call scripts\gen-answer.bat tests\58 tests\58.a "tests" "4"
call scripts\gen-answer.bat tests\59 tests\59.a "tests" "4"
call scripts\gen-answer.bat tests\60 tests\60.a "tests" "5"
call scripts\gen-answer.bat tests\61 tests\61.a "tests" "5"
call scripts\gen-answer.bat tests\62 tests\62.a "tests" "5"
call scripts\gen-answer.bat tests\63 tests\63.a "tests" "5"
call scripts\gen-answer.bat tests\64 tests\64.a "tests" "5"
call scripts\gen-answer.bat tests\65 tests\65.a "tests" "5"
call scripts\gen-answer.bat tests\66 tests\66.a "tests" "5"
call scripts\gen-answer.bat tests\67 tests\67.a "tests" "5"
call scripts\gen-answer.bat tests\68 tests\68.a "tests" "5"
call scripts\gen-answer.bat tests\69 tests\69.a "tests" "5"
call scripts\gen-answer.bat tests\70 tests\70.a "tests" "5"
call scripts\gen-answer.bat tests\71 tests\71.a "tests" "5"
call scripts\gen-answer.bat tests\72 tests\72.a "tests" "6"
call scripts\gen-answer.bat tests\73 tests\73.a "tests" "6"
call scripts\gen-answer.bat tests\74 tests\74.a "tests" "6"
call scripts\gen-answer.bat tests\75 tests\75.a "tests" "6"
call scripts\gen-answer.bat tests\76 tests\76.a "tests" "6"
call scripts\gen-answer.bat tests\77 tests\77.a "tests" "6"
call scripts\gen-answer.bat tests\78 tests\78.a "tests" "6"
call scripts\gen-answer.bat tests\79 tests\79.a "tests" "6"
call scripts\gen-answer.bat tests\80 tests\80.a "tests" "6"
call scripts\gen-answer.bat tests\81 tests\81.a "tests" "6"
call scripts\gen-answer.bat tests\82 tests\82.a "tests" "6"
call scripts\gen-answer.bat tests\83 tests\83.a "tests" "6"
call scripts\gen-answer.bat tests\84 tests\84.a "tests" "6"
call scripts\gen-answer.bat tests\85 tests\85.a "tests" "6"
call scripts\gen-answer.bat tests\86 tests\86.a "tests" "7"
call scripts\gen-answer.bat tests\87 tests\87.a "tests" "7"
call scripts\gen-answer.bat tests\88 tests\88.a "tests" "7"
call scripts\gen-answer.bat tests\89 tests\89.a "tests" "7"
call scripts\gen-answer.bat tests\90 tests\90.a "tests" "7"
call scripts\gen-answer.bat tests\91 tests\91.a "tests" "7"
call scripts\gen-answer.bat tests\92 tests\92.a "tests" "7"
call scripts\gen-answer.bat tests\93 tests\93.a "tests" "7"
call scripts\gen-answer.bat tests\94 tests\94.a "tests" "7"
call scripts\gen-answer.bat tests\95 tests\95.a "tests" "7"

